@import url('./theme/main-theme.css');

.daterangepicker .disabled {
    background-color: transparent !important;
    color: var(--body-text-secondary) !important;
    text-decoration:none !important;
}
/**
.daterangepicker .off.available {
    visibility: hidden;
}
**/

/* BUTTONS */

/* COMMON */
.v2-primary-button,
.v2-secondary-button,
.v2-tertiary-button {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 10px;
    font-size: var(--base-font-size);
    font-weight: var(--bold);
    border: none;
    line-height: var(--base-line-height);
}
.v2-primary-button,
.v2-secondary-button {
    border-radius: 4px;
    height: 40px;
    padding: 6px 8px;
    min-width: 70px;
}

.v2-primary-button.uppercase
:not(.big-size)
:not(.medium-size)
:not(.small-size),
.v2-secondary-button.uppercase
:not(.big-size)
:not(.medium-size)
:not(.small-size) {
    width: auto;
}

.v2-primary-button.uppercase,
.v2-secondary-button.uppercase,
.v2-tertiary-button.uppercase {
    text-transform: uppercase;
}

.v2-primary-button.full-width,
.v2-secondary-button.full-width,
.v2-tertiary-button.full-width {
    width: 100% !important;
}

.v2-primary-button.small-size,
.v2-secondary-button.small-size {
    height: 32px;
    width: 103px;
    font-size: var(--small-font-size);
    line-height: var(--small-line-height);
}
.v2-tertiary-button.small-size {
    font-size: var(--small-font-size);
    line-height: var(--small-line-height);
}
.v2-primary-button.small-size i,
.v2-secondary-button.small-size i,
.v2-tertiary-button.small-size i {
    font-size: var(--md-font-size);
}

.v2-primary-button.medium-size,
.v2-secondary-button.medium-size {
    height: 44px;
    padding: 8px;
    width: 136px;
    font-size: 14px;
    line-height: 22px;
}
.v2-tertiary-button.medium-size {
    font-size: var(--md-font-size);
    line-height: var(--base-line-height);
}

.v2-primary-button.big-size,
.v2-secondary-button.big-size {
    padding: 12px;
    height: 56px;
    width: 162px;
    font-size: var(--lg-font-size);
    line-height: var(--lg-line-height);
}
.v2-tertiary-button.big-size {
    font-size: var(--lg-font-size);
    line-height: var(--lg-line-height);
}

.v2-primary-button.width-auto,
.v2-secondary-button.width-auto {
    width: auto;
    min-width: auto;
}
.v2-primary-button.big-size.width-auto,
.v2-secondary-button.big-size.width-auto {
    padding: 12px 16px;
    width: auto;
}

.v2-primary-button.big-size-icon {
    height: 40px;
    min-width: 50px;
}

.v2-primary-button.side-input-button {
    width: 25%;
    max-width: 25%;
}

.v2-primary-button.flex-space-between,
.v2-secondary-button.flex-space-between,
.v2-tertiary-button.flex-space-between {
    justify-content: space-between !important;
}

.v2-primary-button:focus,
.v2-secondary-button:focus,
.v2-tertiary-button:focus {
    outline: none;
}

.v2-primary-button.disabled,
.v2-secondary-button.disabled,
.v2-tertiary-button.disabled {
    cursor: not-allowed;
    pointer-events: none;
}

/* PRIMARY */
.v2-primary-button {
    background-color: var(--button-bg-primary);
    color: var(--button-text-primary);
}
.v2-primary-button:hover {
    color: var(--button-text-primary);
    background-color: var(--button-text-secondary);
}
.v2-primary-button.disabled {
    background: var(--button-bg-disabled);
    color: var(--button-text-disabled);
    opacity: 1 !important;
}
.v2-primary-button:focus {
    color: var(--button-text-primary) !important;
}

/* SECONDARY */
.v2-secondary-button {
    background-color: var(--button-bg-secondary);
    color: var(--button-text-secondary);
}
.v2-secondary-button:hover {
    color: var(--button-text-secondary);
    background-color: var(--button-bg-secondary-hover);
}
.v2-secondary-button.disabled {
    color: var(--button-text-disabled);
    background-color: var(--button-bg-disabled2);
}
.v2-secondary-button:focus {
    color: var(--button-text-secondary) !important;
}

/* TERTIARY */
.v2-tertiary-button {
    padding: 0;
    color: var(--button-bg-primary);
    display: inline-flex;
}
.v2-tertiary-button:hover {
    color: var(--button-text-secondary);
}
.v2-tertiary-button.disabled {
    color: var(--button-text-disabled);
    background-color: var(--no-color) !important;
}
.v2-tertiary-button:focus {
    color: var(--button-bg-primary) !important;
}
.v2-tertiary-button.alt-button,
.v2-tertiary-button.alt-button:focus {
    color: var(--base-text) !important;
}

/* ------------ FONTS ------------ */
.v2-page-title, .v2-main-title {
    color: var(--page-title-text);
    font-size: var(--lg-font-size);
    font-weight: var(--bold);
    line-height: var(--lg-line-height);
}

.v2-page-title {
    /* border-bottom: 1px solid var(--page-title-border);
    padding-bottom: 8px; */
    margin-top: 32px !important;
    margin-bottom: 24px !important;
}
.v2-page-title.no-margin-top {
    margin-top: 0 !important;
}

.v2-paragraph-text {
    font-size: var(--md-font-size);
    color: var(--body-text);
    line-height: var(--md-line-height);
    font-weight: var(--regular);
}
.v2-paragraph-emphasized-text {
    color: var(--body-text-secondary) !important;
    font-size: var(--md-font-size) !important;
    font-weight: var(--medium) !important;
}
.v2-paragraph-emphasized-side-text {
    color: var(--body-text-secondary-emphasized) !important;
    font-size: var(--md-font-size) !important;
    font-weight: var(--medium) !important;
}
.v2-paragraph-emphasized-text.small-size {
    font-size: var(--base-font-size) !important;
}

.v2-card-title {
    font-size: var(--base-font-size);
    font-weight: var(--bold);
    color: var(--body-text-emphasized);
}

.v2-content-title-text,
.v2-content-subtitle-text {
    color: var(--body-text-emphasized);
    font-weight: var(--semibold);
    font-size: var(--md-font-size);
    letter-spacing: 0.5px;
    margin: 2px 0 4px 0;
    min-width: 234px;
}
.v2-content-title-text.small-size {
    font-size: var(--base-font-size);
}
.v2-content-title-text.regular {
    font-weight: var(--regular);
}
.v2-content-subtitle-text {
    font-size: var(--small-font-size);
    font-weight: var(--regular);
}
.v2-content-subtitle-text--primary {
    color: var(--primary-text);
}
.v2-content-subtitle-text.text-danger {
    color: var(--error-color);
    background: var(--no-color);
    padding: 0 !important;
}

.v2-section-title {
    color: var(--body-text-emphasized);
    font-size: var(--lg-font-size);
    font-weight: var(--bold);
    line-height: var(--lg-line-height);
    margin: 0;
    display: flex;
    align-items: center;
}
.v2-section-title.disabled-text {
    color: var(--button-text-disabled) !important;
}

/* ----------- TABLE ---------- */
.v2-table-col-head {
    /* border-top: 1px solid var(--section-border) !important; */
    border-bottom: 1px solid var(--section-border) !important;
    font-size: var(--base-font-size) !important;
    color: var(--body-text-secondary-emphasized) !important;
    font-weight: var(--light) !important;
    text-align: left !important;
    text-transform: uppercase;
}
.v2-table-col-head.no-border {
    border: 0 !important;
}
.v2-table-col-head.text-right {
    text-align: right !important;
}
.v2-table-col-head.text-center {
    text-align: center !important;
}

.v2-table-box-field {
    background: var(--tertiary-bg);
    border-radius: 3px;
    color: var(--body-text-secondary-emphasized);
    height: 37px;
    font-size: var(--base-font-size);
    line-height: var(--xl-line-height);
    text-align: center;
    font-weight: var(--light);
}

.v2-table-content-field {
    color: var(--body-text-secondary-emphasized);
    font-size: var(--base-font-size);
    line-height: var(--xl-line-height);
    text-align: center;
    font-weight: var(--light);
}
.v2-table-content-field.bold {
    font-weight: var(--semibold);
}
.v2-table-content-field.text-left {
    text-align: left;
}

.v2-table-text-field {
    color: var(--body-text-secondary-emphasized) !important;
    font-size: var(--md-font-size) !important;
    font-weight: var(--medium) !important;
}
.v2-table-text-field--primary {
    color: var(--primary-text) !important;
    font-size: var(--md-font-size) !important;
    font-weight: var(--semibold) !important;
    text-align: left !important;
}
.v2-table-text-field--secondary {
    color: var(--body-text-emphasized) !important;
    font-size: var(--md-font-size) !important;
    font-weight: var(--regular) !important;
}
.v2-table-subtext-field {
    font-size: var(--small-font-size) !important;
    line-height: 14pt !important;
    color: var(--body-text-secondary-emphasized) !important;
}
.v2-table-text-field.bold {
    font-weight: var(--bold) !important;
}

/* ----------- FORMS ----------- */
.v2-input-field {
    height: var(--input-line-height);
}


/* FONT SIZES */
.v2-icon-standard-size {
    font-size: 13px;
}
.v2-icon-small-size {
    font-size: 12px;
}
.v2-icon-small-size.negative-margin {
    margin-top: -6px;
}
.v2-icon-medium-size {
    font-size: 16px !important;
    margin-left: 3px;
}
.v2-icon-big-size {
    font-size: 18px !important;
}
.v2-icon-wide-size {
    font-size: 20px !important;
}

/* ----------- LISTS ----------- */
.v2-lists-with-square {
    list-style-type: square;
    margin-left: 20px;
}

.v2-lists-with-number {
    list-style-type: decimal;
    margin-left: 20px;
}

/* ---------- INFO WITH ICON ------------ */
.text-info {
    clear: both;
    font-weight: var(--regular);
    color: var(--body-text-secondary-emphasized);
    font-size: var(--base-font-size);
    line-height: var(--base-line-height);
    margin: 4px 0 !important;
}
.text-info--primary-text {
    color: var(--primary-text) !important;
}
.text-info--with-marker, .text-info--alert {
    padding-left: 18px;
}
.text-info--with-marker::before {
    font-family: 'FONT AWESOME 6 PRO';
    content: "\f05a";
    margin-left: -14px;
    margin-right: 6px;
}
.text-info--with-marker.marker-primary::before {
    color: var(--primary-text);
}
.text-info--alert::before {
    font-family: 'FONT AWESOME 6 PRO';
    content: "\f06a";
    margin-left: -14px;
    margin-right: 6px;
    color: var(--error-color);
}

/* MODAL GRAL */
.v2-modal-content {
    padding: 16px 24px 24px;
}
.v2-modal-wrapper {
    padding: 24px !important;
}
.v2-modal-wrapper--thin {
    padding: 16px !important;
}
.v2-modal-header {
    padding: 0;
}
.v2-modal-close-button {
    color: var(--body-text-secondary-emphasized);
    font-size: 26px;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}
.v2-modal-title {
    /* text-align: center; */
    font-size: 16px;
    font-weight: 700;
    line-height: 28px;
    color: var(--primary-text);
    margin: 0;
}
.v2-modal-title.small-size {
    font-size: 14px;
}
.v2-modal-body {
    padding: 0;
    margin: 0;
    color: var(--body-text-secondary-emphasized);
    /* text-align: center; */
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
}
.v2-modal-body--text {
    font-size: 16px;
    font-weight: 400;
    line-height: 24px;
    color: var(--body-text-secondary-emphasized);
}
.v2-modal-footer::before, .v2-modal-footer::after {
    display: none !important;
}

/* ----------- EXPORT -------------- */
.v2-export-file {
    position: relative;
    display: inline-block;
    transition: all 0.3s ease-in-out;
    padding-bottom: 5px;
}

.v2-export-file .export-file-collapsable-content {
    opacity: 0;
    visibility: hidden;
    position: absolute;
    width: 103px;
    text-align: left;
    border-radius: 6px;
    border:1px solid var(--section-box-field);
    background: var(--tertiary-bg);
    z-index: 2;
    margin-top: 5px;
}
        
.v2-export-file .export-file-collapsable-content a {
    padding: 10px;
    display:inline-block;
    color: var(--body-text-secondary);
    width: 100%;
    margin-top: 0;
    font-size: var(--base-font-size);
    font-weight: var(--regular);
}

.v2-export-file .export-file-collapsable-content a:hover {
    background: var(--button-bg-primary);
    color: var(--button-text-primary);
}

.v2-export-file button.focus + .export-file-collapsable-content {
    opacity: 1;
    visibility: visible;
}

.v2-export-file button.focus .fa-chevron-down {
    transform: rotate(180deg);
}

.v2-full-width {
    width: 100% !important;
}
.v2-auto-width {
    width: auto !important;
    min-width: unset !important;
}

.v2-full-width--only-mobile, .v2-full-width--only-mobile-content {
    width: 100%;
}
.v2-full-width--only-mobile.centered {
    justify-content: center;
}

.v2-full-height {
    height: 100%;
}

.v2-input-radio-wrapper {
    display: flex;
    gap: 8px;
    align-items: center;
    text-transform: capitalize;
}

.v2-input-radio {
    position: relative;
    display: block;
    padding: 10px 0 10px 20px !important;
}

.v2-input-checkbox {
    display: flex;
    position: relative;
    align-items: center;
    justify-content: center;
    padding: 10px !important;
}

.v2-input-checkbox-container {
    display: flex;
    gap: 12px;
    width: fit-content;
}

.v2-input-checkbox-container .text-danger {
    display: none;
}

.v2-input-checkbox input + .v2-input-checkbox-input {
    top: calc(50% - 10px) !important;
}
.v2-input-checkbox input + .v2-input-checkbox-input .text {
    color: var(--body-text-secondary-emphasized);
    font-size: 12px;
    font-weight: 700;
    line-height: 20px;
}

.v2-input-radio input, .v2-input-checkbox input {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    visibility: hidden;
    position: absolute;
    right: 0;
}

.v2-input-radio input + i, .v2-input-checkbox input + .v2-input-checkbox-input {
    position: absolute;
    left: 0;
    top: 0;
    background: var(--tertiary-bg);
    border: 1px solid var(--primary-text);
    transition: all 0.3s ease-in-out;
}

.v2-input-radio input[type=radio] + i {
    height: 20px;
    width: 20px;
    border-radius: 100%;
}

.v2-input-checkbox input[type=checkbox] + .v2-input-checkbox-input, .v2-checkmark {
    height: 20px;
    width: 20px;
    border-radius: 4px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.v2-input-checkbox input[type=checkbox] + .v2-input-checkbox-input:hover {
    cursor: pointer;
    background-color: var(--button-bg-secondary);
}

.v2-input-checkbox input[type=checkbox]:checked + .v2-input-checkbox-input {
    background-color: var(--primary-bg);
}

.v2-input-checkbox input[type=checkbox] + .v2-input-checkbox-input i {
    display: none;
}
.v2-input-checkbox input[type=checkbox]:checked + .v2-input-checkbox-input i {
    font-size: 18px;
    color: var(--base-text);
    display: block;
}

.v2-input-radio input[type=radio] + i:before {
    content: '';
    display: block;
    background: var(--primary-bg);
	border-radius: 100%;
    position: absolute;
	z-index: 1;
    transition: all 0.25s ease;
	transform: scale(0);
    opacity: 0;
    top: 1.25px;
    left: 1.25px;
    width: 16px;
    height: 16px;
}

.v2-input-radio input[type=radio]:checked + i:before {
    transform: scale(1);
    opacity: 1;
}

.v2-input-radio-text {
    color: var(--body-text);
    font-size: 12px;
    font-weight: 700;
    line-height: 20px;
}

.v2-checkmark {
    background: var(--tertiary-bg);
    border: 1px solid var(--primary-text) !important;
    transition: all 0.3s ease-in-out;
}
.v2-checkmark:after {
    display: none;
    font-size: 14px;/**was18px**/
    content: "\f00c";
    left: 2px !important; /**was 0**/
    top: -1px !important; /**was 0**/
    width: 100% !important;
    height: auto !important;
    border: none !important;
    color: var(--base-text);
    transform: unset !important;
    font-family: 'FONT AWESOME 6 PRO';
}
.checkbox-container input:checked~.v2-checkmark:after {
    display:block;
}

.v2-events-not-allowed {
    pointer-events: none;
    cursor: not-allowed;
}
.v2-cursor-not-allowed {
    cursor: not-allowed;
}

/* ONLY MOBILE */
@media screen and (max-width: 768px) {
    .v2-primary-button:not(.width-auto),
    .v2-secondary-button:not(.width-auto) {
        width: 100% !important;
    }
    .v2-primary-button.with-space,
    .v2-secondary-button.with-space {
        width: calc(100% - 32px) !important;
        margin: auto !important;
    }
    .v2-primary-button.maintain-on-mobile,
    .v2-secondary-button.maintain-on-mobile {
        width: auto !important;
        min-width: 130px;
    }

    .v2-height-screen--mobile {
        min-height: calc(100vh - 64px); /* 64px from footer */
    }

    .v2-fixed-at-bottom {
        position: fixed;
        width: 100%;
        left: 0;
        bottom: 65px;
        background: var(--base-bg);
        padding: 24px 16px;
        box-shadow: 0 3.145px 15.726px 0 rgba(0, 0, 0, 0.25);
        z-index: 5;
    }
}

/* ONLY DESKTOP */
@media screen and (min-width: 768px) {
    
}

@media screen and (min-width: 992px) {
    .export-file{
        float: right;
    }
}